enable-esm should also install ca-certificates

Bug #1690270 reported by Steve Langasek on 2017-05-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-advantage-script
Fix Released
Unknown
ubuntu-advantage-tools (Ubuntu)
Medium
David Britton
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Zesty
Undecided
Unassigned

Bug Description

Just as apt-transport-https is not in the minimal seed and must be installed by ubuntu-advantage enable-esm to ensure its availability, ca-certificates is not part of minimal, only standard. Without ca-certificates, apt-transport-https does not have SSL CAs to verify the esm.ubuntu.com site against.

While this is non-fatal in precise, later versions of apt-transport-https (rightly!) enforce SSL certificate verification, so we should fix this to be future-proof.

Steve Langasek (vorlon) on 2017-05-12
Changed in ubuntu-advantage-tools (Ubuntu):
assignee: nobody → Canonical Server Team (canonical-server)
Andreas Hasenack (ahasenack) wrote :

Shouldn't apt-transport-https have a dependenci on ca-certificates?

Andreas Hasenack (ahasenack) wrote :

Sorry, dependency*

On Mon, May 15, 2017 at 12:11:49PM -0000, Andreas Hasenack wrote:
> Shouldn't apt-transport-https have a dependency on ca-certificates?

No, because one might use apt-transport-https with a private https apt
source that you manage the certificates for yourself.

It should probably have a *recommends* on ca-certificates, but that still
would not guarantee enable-esm would work correctly on all systems (since
some admins disable recommends).

Joshua Powers (powersj) on 2017-05-17
Changed in ubuntu-advantage-tools (Ubuntu):
status: New → Confirmed
Changed in ubuntu-advantage-tools (Ubuntu):
assignee: Canonical Server Team (canonical-server) → David Britton (davidpbritton)
Changed in ubuntu-advantage-tools (Ubuntu):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in ubuntu-advantage-script:
importance: Unknown → Medium
Changed in ubuntu-advantage-script:
importance: Medium → Unknown
status: Unknown → Fix Released

Hello Steve, or anyone else affected,

Accepted ubuntu-advantage-tools into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-advantage-tools/2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-advantage-tools (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-advantage-tools - 2

---------------
ubuntu-advantage-tools (2) trusty; urgency=medium

  * ubuntu-advantage & /etc/update-motd.d/99-esm now build, run and are quiet
    on non-precise release. (LP: #1686183)
  * Add simple dep8 tests.
  * Also install ca-certificates (LP: #1690270)

 -- David Britton <email address hidden> Fri, 30 Jun 2017 15:20:00 -0600

Changed in ubuntu-advantage-tools (Ubuntu):
status: In Progress → Fix Released
Andreas Hasenack (ahasenack) wrote :

I did this verification while checking https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1686183/comments/33. I'll reproduce it below.

To properly test this I configured apt to not install recommends by default, otherwise just by installing apt-transport-https we would already get ca-certificates. This was the local config change:

$ cat /etc/apt/apt.conf.d/no-recommends
APT::Install-Recommends "false";

Here are the results:

a) zesty:
Package from proposed:
*** 2 500
        500 http://br.archive.ubuntu.com/ubuntu zesty-proposed/main amd64 Packages

ubuntu@zesty-ubuntu-advantage:~$ sudo ubuntu-advantage enable-esm <redacted>
Installing missing dependency apt-transport-https
Installing missing dependency ca-certificates
Running apt-get update...
(...)

b) xenial:
Package from proposed:
*** 2 500
        500 http://br.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 Packages

ubuntu@xenial-ubuntu-advantage:~$ sudo ubuntu-advantage enable-esm <redacted>
Installing missing dependency apt-transport-https
Installing missing dependency ca-certificates
Running apt-get update...
(...)

c) trusty:
Package from proposed:
 *** 2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages

ubuntu@trusty-ubuntu-advantage-1686183:~$ sudo ubuntu-advantage enable-esm <redacted>
Installing missing dependency apt-transport-https
Installing missing dependency ca-certificates
Running apt-get update...
(...)

tags: added: verification-done-trusty
removed: verification-needed-trusty
Steve Langasek (vorlon) on 2017-08-02
Changed in ubuntu-advantage-tools (Ubuntu Xenial):
status: New → Fix Committed
Changed in ubuntu-advantage-tools (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-done-xenial verification-done-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-advantage-tools - 2

---------------
ubuntu-advantage-tools (2) trusty; urgency=medium

  * ubuntu-advantage & /etc/update-motd.d/99-esm now build, run and are quiet
    on non-precise release. (LP: #1686183)
  * Add simple dep8 tests.
  * Also install ca-certificates (LP: #1690270)

 -- David Britton <email address hidden> Fri, 30 Jun 2017 15:20:00 -0600

Changed in ubuntu-advantage-tools (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-advantage-tools has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-advantage-tools - 2

---------------
ubuntu-advantage-tools (2) trusty; urgency=medium

  * ubuntu-advantage & /etc/update-motd.d/99-esm now build, run and are quiet
    on non-precise release. (LP: #1686183)
  * Add simple dep8 tests.
  * Also install ca-certificates (LP: #1690270)

 -- David Britton <email address hidden> Fri, 30 Jun 2017 15:20:00 -0600

Changed in ubuntu-advantage-tools (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in ubuntu-advantage-tools (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.